Bug 235788 - sysutils/file: Update to 5.36
Summary: sysutils/file: Update to 5.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19394
Keywords:
Depends on:
Blocks:
 
Reported: 2019-02-16 22:44 UTC by jharris
Modified: 2019-02-28 12:32 UTC (History)
2 users (show)

See Also:
jharris: maintainer-feedback+


Attachments
Maintainer-update sysutils/file to 5.35 (804 bytes, patch)
2019-02-16 22:44 UTC, jharris
jharris: maintainer-approval+
Details | Diff
update to file-5.36 (804 bytes, patch)
2019-02-21 19:22 UTC, jharris
jharris: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jharris 2019-02-16 22:44:23 UTC
Created attachment 202076 [details]
Maintainer-update sysutils/file to 5.35

Maintainer-update sysutils/file to 5.35
Comment 1 Jochen Neumeister freebsd_committer 2019-02-21 06:16:57 UTC
Is there a link to a changelog?
Comment 2 jharris 2019-02-21 19:19:39 UTC
(In reply to Jochen Neumeister from comment #1)

It is in ./work/file-5.35/ChangeLog, but it is also online:

  https://github.com/file/file/blob/master/ChangeLog

(NB:  This is a read-only export from the master CVS repo.)

Of course, file-5.36 was released yesterday, so I'll update this bug with a new patch now...
Comment 3 jharris 2019-02-21 19:22:03 UTC
Created attachment 202237 [details]
update to file-5.36

Update to file-5.36, released yesterday:

  https://github.com/file/file/blob/master/ChangeLog
Comment 4 Kai Knoblich freebsd_committer 2019-02-27 21:25:50 UTC
Taking over on request from Jochen.
Comment 5 commit-hook freebsd_committer 2019-02-28 12:30:16 UTC
A commit references this bug:

Author: kai
Date: Thu Feb 28 12:29:34 UTC 2019
New revision: 494147
URL: https://svnweb.freebsd.org/changeset/ports/494147

Log:
  sysutils/file: Update to 5.36

  While I'm here:

  * Remove obsolete CONFLICTS of sysutils/tct - that port has gone long ago
    on 2007-04-06

  Changelog since 5.34:

  * Fix cast to use cast macros
  * Add UCS-32 builtin detection (PR/61) reported by tmc
  * Fix stack read (PR/62) and write (PR/64) stack overflows reported by spinpx
  * Add FreeBSD ELF core file support (John Baldwin)
  * PR/30: Allow all parameter values to be set (don't treat 0 specially)
  * handle default annotations on the softmagic match instead at the end.
  * PR/23: Recognize JSON files
  * PR/18: file --mime-encoding should not print mime-type

  PR:		235788
  Submitted by:	Jason Harris (maintainer)
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19394

Changes:
  head/sysutils/file/Makefile
  head/sysutils/file/distinfo
Comment 6 Kai Knoblich freebsd_committer 2019-02-28 12:32:31 UTC
Committed, thanks!